summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authortermie <github@anarkystic.com>2011-02-03 20:29:16 +0000
committerTarmac <>2011-02-03 20:29:16 +0000
commitf5c1ef877290e4bead7d2ac9add96a6471f4b40d (patch)
treec6b34ccb1ce7e1e3b85522caabd9ef4bc573143e
parent0d0f6e850a2f7fc575eaf7aab6f9468132133852 (diff)
parent86b96d377cb5f0cbaccf40fc87f2c1ad64ae05e1 (diff)
Changes the behavior of run_test.sh so that pep8 is only run in the default case (when running all tests). It will no longer run when individual test cases are being given as in:
./run_tests.sh nova.tests.test_compute
-rwxr-xr-xrun_tests.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/run_tests.sh b/run_tests.sh
index cf1affcea..4e21fe945 100755
--- a/run_tests.sh
+++ b/run_tests.sh
@@ -65,10 +65,15 @@ then
if [ "x$use_ve" = "xY" -o "x$use_ve" = "x" -o "x$use_ve" = "xy" ]; then
# Install the virtualenv and run the test suite in it
python tools/install_venv.py
- wrapper=${with_venv}
+ wrapper=${with_venv}
fi
fi
fi
fi
-run_tests && pep8 --repeat --show-pep8 --show-source --exclude=vcsversion.py bin/* nova setup.py || exit 1
+if [ -z "$noseargs" ];
+then
+ run_tests && pep8 --repeat --show-pep8 --show-source --exclude=vcsversion.py bin/* nova setup.py || exit 1
+else
+ run_tests
+fi